Viewing Gentrace v2 documentation View Gentrace v1
Viewing Gentrace v2 documentation View Gentrace v1
Retrieve the details of a pipeline by ID
curl --request GET \
--url https://gentrace.ai/api/v4/pipelines/{id} \
--header 'Authorization: Bearer <token>'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"slug": "my-awesome-pipeline",
"displayName": "My Awesome Pipeline",
"folderId": "6527747a-ba86-441a-aebd-1ad94460bc89",
"archivedAt": "2025-04-01T00:00:00.000Z",
"goldenDatasetId": "6527747a-ba86-441a-aebd-1ad94460bc89"
}Documentation Index
Fetch the complete documentation index at: https://next.gentrace.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Enter Gentrace API key (Format: Authorization: Bearer )
Pipeline UUID
"123e4567-e89b-12d3-a456-426614174000"
Successful response
Pipeline UUID
"123e4567-e89b-12d3-a456-426614174000"
Creation timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
Last update timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
Pipeline slug
1^[a-z0-9]+(-[a-z0-9]+)*$"my-awesome-pipeline"
Pipeline display name
"My Awesome Pipeline"
Folder UUID
"6527747a-ba86-441a-aebd-1ad94460bc89"
Archive timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
Golden dataset UUID
"6527747a-ba86-441a-aebd-1ad94460bc89"
curl --request GET \
--url https://gentrace.ai/api/v4/pipelines/{id} \
--header 'Authorization: Bearer <token>'{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"slug": "my-awesome-pipeline",
"displayName": "My Awesome Pipeline",
"folderId": "6527747a-ba86-441a-aebd-1ad94460bc89",
"archivedAt": "2025-04-01T00:00:00.000Z",
"goldenDatasetId": "6527747a-ba86-441a-aebd-1ad94460bc89"
}